Subject: Re: [dtn-users] tcp neighbor discovery
From: Michael Demmer <[email-masked]>
To: [email-masked]
Date: Mon, 30 Jul 2007 17:14:23 -0700
List-Id: discussion/answers list for users of the dtn reference implementation <dtn-users.mailman.dtnrg.org>

Oh... you want the "dtlsr" router, not the "linkstate" router. That  
latter one is very old (and should probably just be dropped from the  
repository).

-mike

On Jul 30, 2007, at 11:57 AM, Timur Alperovich wrote:

> I thought you might want to know about this error I got when trying  
> to use linkstate routing:
> [1185821661.164393 /dtn/bundle/daemon notice] loading bundles from  
> data store
> PANIC at bundling/BundleActions.cc:233: XXX/demmer fix this
> STACK TRACE: 0x816c097 0x81104ba 0x80ef575 0x80ef687 0x80f0346  
> 0x808dc15 0x80f1226 0x8079efb 0x80798a2 0x8195c1a 0x8195db1 0xb7d9e183
>
> I suppose it is indeed rough :)
>
> Timur
>
> On 7/30/07, Michael Demmer <[email-masked]> wrote:
>
> Yes, DTLSR will detect the topology of the whole network and can  
> take into account the fact that intermediate nodes may be down. You  
> can read more about that implementation in a research paper here:  
> http://www.cs.berkeley.edu/~demmer/papers/dtlsr-nsdr.pdf
>
> Unfortunately there isn't any documentation at present about using  
> the DTLSR (link state) routing within the DTN implementation and  
> the code is a little rough still. I'm planning on using it more  
> operationally in the weeks/months to come and will try to write up  
> some documentation on how to use it then.
>
> -m
>